﻿<AML>
 <Item type="RelationshipType" id="A1BFE7EA155E458B9574E104A645B177" action="add" dependencyLevel="0">
  <auto_search>1</auto_search>
  <behavior>float</behavior>
  <copy_permissions>0</copy_permissions>
  <create_related>0</create_related>
  <hide_in_all>0</hide_in_all>
  <inc_rel_key_name>1</inc_rel_key_name>
  <inc_related_key_name>1</inc_related_key_name>
  <is_list_type>0</is_list_type>
  <label xml:lang="en">CI Details</label>
  <new_show_related>0</new_show_related>
  <related_notnull>0</related_notnull>
  <related_option>2</related_option>
  <relationship_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">
   <Item type="ItemType" id="9BFE4B767345417090D6A103066C3A3D" action="add">
    <allow_private_permission>1</allow_private_permission>
    <auto_search>0</auto_search>
    <enforce_discovery>0</enforce_discovery>
    <hide_where_used>0</hide_where_used>
    <implementation_type>table</implementation_type>
    <instance_data>SOP_COMMERCIAL_INVOICE_DETAILS</instance_data>
    <is_dependent>0</is_dependent>
    <is_relationship>1</is_relationship>
    <is_versionable>0</is_versionable>
    <label xml:lang="en">Commercial Invoice Details</label>
    <label_plural xml:lang="en">Commercial Invoice Details</label_plural>
    <revisions keyed_name="Default" type="Revision">7FE395DD8B9F4E1090756A34B733D75E</revisions>
    <show_parameters_tab>1</show_parameters_tab>
    <structure_view>tabs off</structure_view>
    <unlock_on_logout>0</unlock_on_logout>
    <use_src_access>1</use_src_access>
    <name>sop_commercial_invoice_details</name>
    <Relationships>
     <Item type="Property" id="E1A26C548FBA4547B9F21F30483F7A00" action="add">
      <column_alignment>left</column_alignment>
      <data_type>string</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">BOX No</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>10</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <stored_length>64</stored_length>
      <track_history>0</track_history>
      <name>sop_box_no</name>
     </Item>
     <Item type="Property" id="842ADD6376904987B56C8B7D082F8A75" action="add">
      <column_alignment>left</column_alignment>
      <data_type>string</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">PO Item</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>9</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <stored_length>64</stored_length>
      <track_history>0</track_history>
      <name>sop_po_item</name>
     </Item>
     <Item type="Property" id="50197F95CFE44B17A8021F14A3818F4B" action="add">
      <column_alignment>left</column_alignment>
      <data_type>string</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">S/N</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>11</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <stored_length>1000</stored_length>
      <track_history>0</track_history>
      <name>sop_serial_no</name>
     </Item>
     <Item type="Property" id="E785AC8FFDD840EBA2D946D361EBCFD5" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Base Cost</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>3584</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <track_history>0</track_history>
      <name>stk_base_cost</name>
     </Item>
     <Item type="Property" id="162BD37C19E3420AA64EDFE102CF83E8" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <default_value xml:lang="en">1</default_value>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Base Qty</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>3712</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <track_history>0</track_history>
      <name>stk_base_qty</name>
     </Item>
     <Item type="Property" id="3A46569E41154EF1B1645594195C9CA2" action="add">
      <column_alignment>left</column_alignment>
      <data_source keyed_name="stk_stock_category">C75439B303A9483BBC4E72A06D784576</data_source>
      <data_type>list</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Category</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>3840</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <stored_length>256</stored_length>
      <track_history>0</track_history>
      <name>stk_category</name>
     </Item>
     <Item type="Property" id="85F31164731D40019D59F71E21986ADC" action="add">
      <column_alignment>left</column_alignment>
      <data_source keyed_name="stk_stock_setup" type="ItemType" name="stk_stock_setup">396CF56F5D534625ACD7FD078DC7F1E1</data_source>
      <data_type>item</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>1</is_required>
      <item_behavior>float</item_behavior>
      <label xml:lang="en">Choose Stock Code</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>1</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <track_history>0</track_history>
      <name>stk_code</name>
      <Relationships>
       <Item type="Grid Event" id="7270D1052C4A4D5E94FA524ED95C5071" action="add">
        <grid_event>oneditfinish</grid_event>
        <related_id keyed_name="sop_stock_code_change" type="Method">
         <Item type="Method" action="get" select="id">
          <name>sop_stock_code_change</name>
         </Item>
        </related_id>
        <sort_order>128</sort_order>
        <source_id keyed_name="stk_code" type="Property">85F31164731D40019D59F71E21986ADC</source_id>
       </Item>
       <Item type="Grid Event" id="BEEF5849943049488F66526050612218" action="add">
        <grid_event>oneditfinish</grid_event>
        <related_id keyed_name="sop_price_change" type="Method">
         <Item type="Method" action="get" select="id">
          <name>sop_price_change</name>
         </Item>
        </related_id>
        <sort_order>256</sort_order>
        <source_id keyed_name="stk_code" type="Property">85F31164731D40019D59F71E21986ADC</source_id>
       </Item>
      </Relationships>
     </Item>
     <Item type="Property" id="519F4CB0A8BF46F98EBDDA134CD49110" action="add">
      <column_alignment>left</column_alignment>
      <data_type>text</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Description</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>3</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <track_history>0</track_history>
      <name>stk_description</name>
     </Item>
     <Item type="Property" id="43F80F7218284CA583CCC5BD243A7BA8" action="add">
      <column_alignment>left</column_alignment>
      <data_source keyed_name="stk_location" type="ItemType" name="stk_location">08AD4F8A1F5543278FA3B32B00C6E4B5</data_source>
      <data_type>item</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <item_behavior>float</item_behavior>
      <label xml:lang="en">Location</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>4</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <track_history>0</track_history>
      <name>stk_location</name>
     </Item>
     <Item type="Property" id="ACD4FDDEE2374F2EB3EB51ED8022CA16" action="add">
      <column_alignment>left</column_alignment>
      <data_type>string</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Part No.</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>2</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <stored_length>100</stored_length>
      <track_history>0</track_history>
      <name>stk_part_number</name>
     </Item>
     <Item type="Property" id="9636A56B4F154AA6BB30E99ACEB8DD32" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <default_value xml:lang="en">0</default_value>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Price</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>7</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <track_history>0</track_history>
      <name>stk_price</name>
      <Relationships>
       <Item type="Grid Event" id="78AFDA7FEA574159A65C6491B9514F26" action="add">
        <grid_event>oneditfinish</grid_event>
        <related_id keyed_name="sop_price_change" type="Method">
         <Item type="Method" action="get" select="id">
          <name>sop_price_change</name>
         </Item>
        </related_id>
        <sort_order>128</sort_order>
        <source_id keyed_name="stk_price" type="Property">9636A56B4F154AA6BB30E99ACEB8DD32</source_id>
       </Item>
      </Relationships>
     </Item>
     <Item type="Property" id="E77F47E5BD99453D8EF1530C5F6664DC" action="add">
      <column_alignment>right</column_alignment>
      <data_type>decimal</data_type>
      <default_value xml:lang="en">1</default_value>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Quantity</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>0</scale>
      <sort_order>6</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <track_history>0</track_history>
      <name>stk_qty</name>
      <Relationships>
       <Item type="Grid Event" id="CE413A3BC7D74259A12A117531B63768" action="add">
        <grid_event>oneditfinish</grid_event>
        <related_id keyed_name="sop_qty_change" type="Method">
         <Item type="Method" action="get" select="id">
          <name>sop_qty_change</name>
         </Item>
        </related_id>
        <sort_order>128</sort_order>
        <source_id keyed_name="stk_qty" type="Property">E77F47E5BD99453D8EF1530C5F6664DC</source_id>
       </Item>
       <Item type="Grid Event" id="633FBD6A58CB4E4CBB1E6A487F4FF66D" action="add">
        <grid_event>oneditfinish</grid_event>
        <related_id keyed_name="sop_price_change" type="Method">
         <Item type="Method" action="get" select="id">
          <name>sop_price_change</name>
         </Item>
        </related_id>
        <sort_order>256</sort_order>
        <source_id keyed_name="stk_qty" type="Property">E77F47E5BD99453D8EF1530C5F6664DC</source_id>
       </Item>
      </Relationships>
     </Item>
     <Item type="Property" id="AC4F3FAC824C4D1997C1F3CFF616C7A9" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <default_value xml:lang="en">0</default_value>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Total Price</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>8</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <track_history>0</track_history>
      <name>stk_total_amount</name>
     </Item>
     <Item type="Property" id="FB66189C4B9046739F7FDB769E34A1A8" action="add">
      <column_alignment>left</column_alignment>
      <data_source keyed_name="stk_UOM" type="ItemType" name="stk_UOM">B65CC5CDDD844E4187611193647213AB</data_source>
      <data_type>item</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <item_behavior>float</item_behavior>
      <label xml:lang="en">UOM</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>5</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <track_history>0</track_history>
      <name>stk_uom</name>
     </Item>
     <Item type="View" id="0ED64C5197FD4620A0A9A624AE75345D" action="add">
      <client>js</client>
      <related_id keyed_name="sop_commercial_invoice_details" type="Form">2A4DCDDD4FAB4626A6285B205D7DB7BD</related_id>
      <role keyed_name="World" type="Identity">
       <Item type="Identity" action="get" select="id">
        <name>World</name>
       </Item>
      </role>
      <show_ssvc>0</show_ssvc>
      <sort_order>128</sort_order>
      <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
      <type>default</type>
     </Item>
    </Relationships>
   </Item>
  </relationship_id>
  <sort_order>10</sort_order>
  <source_id keyed_name="sop_commercial_invoice" type="ItemType" name="sop_commercial_invoice">963B7A401AC74EE28167B24DC27A7402</source_id>
  <name>sop_commercial_invoice_details</name>
  <Relationships>
   <Item type="Relationship Grid Event" id="45B5485D80F74E388BA715EDB2C71B84" action="add">
    <grid_event>ondeleterow</grid_event>
    <related_id keyed_name="sop_details_delete_with_discount" type="Method">
     <Item type="Method" action="get" select="id">
      <name>sop_details_delete_with_discount</name>
     </Item>
    </related_id>
    <sort_order>128</sort_order>
    <source_id keyed_name="sop_commercial_invoice_details" type="RelationshipType">A1BFE7EA155E458B9574E104A645B177</source_id>
   </Item>
  </Relationships>
 </Item>
 <Item type="ItemType" id="9BFE4B767345417090D6A103066C3A3D" action="edit">
  <Relationships>
   <Item type="Property" action="edit" where="source_id='9BFE4B767345417090D6A103066C3A3D' and name='related_id'">
    <column_alignment>left</column_alignment>
    <data_type>item</data_type>
    <is_hidden>1</is_hidden>
    <is_hidden2>1</is_hidden2>
    <is_indexed>1</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <item_behavior>float</item_behavior>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>3456</sort_order>
    <source_id keyed_name="sop_commercial_invoice_details" type="ItemType" name="sop_commercial_invoice_details">9BFE4B767345417090D6A103066C3A3D</source_id>
    <track_history>0</track_history>
    <name>related_id</name>
   </Item>
  </Relationships>
 </Item>
</AML>